package com.mortals.xhx.common.code.complex;

import java.util.*;

public enum SfYofn {
    是("Y","是"),
    否("N","否")
    ;

    private String value;
    private String desc;

    SfYofn(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
    public static SfYofn getByValue(String value) {
        SfYofn[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            SfYofn examStatus = var1[var3];
            if (examStatus.getValue().equals(value)) {
                return examStatus;
            }
        }

        return null;
    }

    public static List<Map<String, String>> getEnumMap(String... eItem) {
        List<Map<String, String>> result = new ArrayList<>();

        SfYofn[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            SfYofn item = var2[var4];

            try {
                boolean hasE = false;
                String[] var7 = eItem;
                int var8 = eItem.length;

                for(int var9 = 0; var9 < var8; ++var9) {
                    String e = var7[var9];
                    if (item.getValue().equals(e)) {
                        hasE = true;
                        break;
                    }
                }

                if (!hasE) {
                    Map<String, String> resultMap = new HashMap();
                    resultMap.put("item_text", item.getValue());
                    resultMap.put("item_value", item.getDesc());
                    result.add(resultMap);
                }
            } catch (Exception var11) {
            }
        }

        return result;
    }
}
