package com.mortals.xhx.module.sst.pdu;

import lombok.Data;

/**
 * 综窗可受理事项查询参数
 */
@Data
public class SyntheticalMatterQuery {
    /**当前页*/
    private Integer currentPage;
    /**每页条数*/
    private Integer pageSize;
    /**事项面向对象O/P，O是法人P是个人 */
    private String eventObjectType;
    /** 事项是否纳入通办。N/Y */
    private String crossFlag;
    /**事项名称，模糊查找 */
    private String implementName;
    /**
     * 申报来源1, 自助端申报 2, 移动端申报 3,第三方申报
     */
    private Integer applyType=1;
}
